import { request } from 'umi';

export function GetRechargeActivityPgage(data) {
  return request(`/kitchen/api/rechargeactivity/getRechargeActivityPgage`, {
    method: 'post',
    data: data,
  });
}

export function AddRechargeActivity(data) {
  return request(`/kitchen/api/rechargeactivity/addRechargeActivity`, {
    method: 'post',
    data: data,
  });
}

export function UpdateRechargeActivity(data) {
  return request(`/kitchen/api/rechargeactivity/updateRechargeActivity`, {
    method: 'post',
    data: data,
  });
}
export function UpdateRechargeActivityRecommend(data) {
  return request(`/kitchen/api/rechargeactivity/updateRechargeactivityrecommend`, {
    method: 'post',
    data: data,
  });
}
export function DeleteRechargeActivity(data) {
  return request(`/kitchen/api/rechargeactivity/deleteRechargeActivity`, {
    method: 'post',
    data: data,
  });
}
export async function gettree(params) {
  return request('​/kitchen/api​/sysOrg​/tree', {
    data: {
      ...params,
    },
  });
}

/**
 * 获取优惠券分页
 */
export async function GetCouponList(data) {
  return request(`/kitchen/api/coupon/couponpgage`, {
    method: 'POST',
    data: data,
  });
}



